Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 183040

Summary: Review Request: perl-Kwiki
Product: [Fedora] Fedora Reporter: Steven Pritchard <steve>
Component: Package ReviewAssignee: Jason Tibbitts <j>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-03-15 23:58:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 183039, 183667    
Bug Blocks: 163779, 183041, 183042, 183043, 183044, 183045, 183047, 183050, 183052, 183054, 183303, 184463, 184464    

Description Steven Pritchard 2006-02-25 18:40:38 UTC
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Kwiki/perl-Kwiki.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Kwiki-0.38-1.src.rpm
Description:
A Wiki is a website that allows its users to add pages, and edit any
existing pages. It is one of the most popular forms of web collaboration.
If you are new to wiki, visit http://c2.com/cgi/wiki?WelcomeVisitors
which is possibly the oldest wiki, and has lots of information about how
wikis work.

Kwiki is a Perl wiki implementation based on the Spoon application
architecture and using the Spiffy object orientation model. The major goals
of Kwiki are that it be easy to install, maintain and extend.

All the features of a Kwiki wiki come from plugin modules. The base
installation comes with the bare minimum plugins to make a working Kwiki.
To make a really nice Kwiki installation you need to install additional
plugins. Which plugins you pick is entirely up to you. Another goal of
Kwiki is that every installation will be unique. When there are hundreds of
plugins available, this will hopefully be the case.

Comment 1 Steven Pritchard 2006-02-27 22:58:40 UTC
http://ftp.kspei.com/pub/steve/rpms/perl-Kwiki-0.38-2.src.rpm

* Mon Feb 27 2006 Steven Pritchard <steve> 0.32-2
- Drop explicit BR: perl.
- Filter perl(mixin) dependency.


Comment 2 Jason Tibbitts 2006-03-02 15:09:42 UTC
Everything looks good except the Summary.  Since all of the summaries are ending
up as "blah Perl module", I guess this is a product of the specfile generator
you're using.  Unfortunately I'll have to carp about all of them.

For this module something like "A Perl wiki implementation" should be fine.

As usual, the spec is clean, source matches upstream, license is correct,
package builds fine in mock (+ dependencies not yet checked in).  I wonder if
you need the explicit Requires: perl(Spoon) >= 0.22; extras is guaranteed to
have that version (once you check it in) so RPM should find the requirement on
its own.  No blocker, though.

Approved, subject to additional of a reasonable summary.

Comment 3 Jason Tibbitts 2006-03-02 15:48:36 UTC
Oops, I noted that perl-Kwiki requires perl(HTTP::BrowserDetect) which is not in
the repo and not under review.  I happened to have it installed from the
RPMForge repo so it wasn't immediately noticeable until I tried to build a
dependent module in mock.  So while this still builds, it can't be installed.

Would you like to submit the dependent module?

Comment 4 Steven Pritchard 2006-03-02 16:23:10 UTC
Regarding comment #2, yes, the "blah Perl module" thing comes from cpanspec.  It
tries to guess %description (and gets it wrong most of the time), so I always
verify/correct that by hand, but I usually ignore Summary.  Sorry about that.

Regarding comment #3, apparently I had HTTP::BrowserDetect in my local repo from
when I was working on another project.  Oops.  See bug #183667.